#
# spec file for package vacation
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           vacation
Version:        1.2.7.1
Release:        12.5
Summary:        A way to automatically reply to incoming e-mail
License:        GPL-2.0+
Group:          Productivity/Networking/Email/Utilities
Url:            http://vacation.sf.net/
Source:         http://downloads.sf.net/vacation/%name-%version.tar.gz
Patch0:         vacation-%{version}.diff
Patch1:         vacation-%{version}.multiple-vacationmsg_files.diff
Patch3:         vacation-%{version}.strip.diff
# PATCH-FIX-UPSTREAM bsc#944326 - long From: header (two lines) not handled correctly
Patch4:         0001-Patch-to-handle-long-folded-headers-from-Zdenek-Havr.patch
# PATCH-FIX-SUSE Also handle junkfilter based on procmail
Patch5:         vacation-%{version}-junkfilter.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gdbm-devel

%description
This program answers your e-mail when you are lying on the beach.

Documentation: man vacation



Authors:
--------
    Sean F Rima <sean.rima@tcob1.uklinux.net>
    Eric P. Allman
    Harald Milz <hm@seneca.muc.de>

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch4
%patch5

%build
# %ifarch ia64 x86_64 s390x ppc64
# # neededforbuild  gdbm-32bit gdbm-devel-32bit glibc-devel-32bit
#    RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -m32"
#%endif
    chmod -R u+w,g+r,o+r .
    make %{?jobs:-j%jobs} clobber
    make %{?jobs:-j%jobs}

%install
# %ifarch ia64 x86_64 s390x ppc64
# # neededforbuild  gdbm-32bit gdbm-devel-32bit glibc-devel-32bit
#     RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -m32"
# %endif
    mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT%{_mandir}/man{1,5}
    make install MANDIR=$RPM_BUILD_ROOT%{_mandir}/man BINDIR=$RPM_BUILD_ROOT/usr/bin
    rm -f $RPM_BUILD_ROOT%{_mandir}/man5/forward.5
    echo '.so man5/aliases.5' > $RPM_BUILD_ROOT%{_mandir}/man5/forward.5
    chmod 0444 $RPM_BUILD_ROOT%{_mandir}/man5/forward.5

%clean
    rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING ChangeLog README
/usr/bin/vacation
/usr/bin/vaclook
%{_mandir}/man1/vacation.1.gz
%{_mandir}/man1/vaclook.1.gz
%{_mandir}/man5/forward.5.gz

%changelog
* Wed Feb  1 2017 werner@suse.de
- Add some more senders and mail tags which should not be answered
* Tue Sep  8 2015 werner@suse.de
- Add backport of upstream patch
  0001-Patch-to-handle-long-folded-headers-from-Zdenek-Havr.patch
  to allow long From header (two lines) handled correctly (bsc#944326)
- Add patch vacation-1.2.7.1-junkfilter.diff
  to handle spam found by junkfilter
* Tue Oct 14 2014 jengelh@inai.de
- Use source URLs and remove ancient specfile tags and sections
* Tue Jan 31 2012 tabraham@novell.com
- update to version 1.2.7.1
  * Added patch from Roberto Piola <roberto@ilpiola.it> to avoid
    replying to emails that have been marked as spam by SpamAssassin
    via the "X-Spam-Status: Yes" header.
  * made "-i" an alias for "-I" to initialize the database and
    update the man page to reflect this
  * Added patch from Jacek Kalinski that automatically creates a
    vacation database for users who do not have one.  Stops vacation
    dieing if they have forgotten to init the database.
  * Added documentation for the "-h" option to specify a domain
    name for email replies to be from.
  * added List-Id to the headers that junkmail() searches for
  * Add the Auto-Submitted: header as per RFC3834 - patch from
    Dr. Tilmann Bubeck.
  * Applied patch from Dr. Tilmann Bubeck to stop Vacation from
    munging the GECOS information of users and instead pass it
    quoted to the MTA for it to deal with.
  * Abide by the RFC 3834 header "Auto-Submitted".
* Thu Dec 17 2009 jengelh@medozas.de
- enable parallel building
* Mon Mar 26 2007 rguenther@suse.de
- Add gdbm-devel BuildRequires
* Tue Jan  9 2007 werner@suse.de
- Avoid illegal free()-call after reading db (#232502)
- Make comment about option -F more clear (#231471)
- Add noreply, board, and info to ignore list
* Fri Aug 25 2006 werner@suse.de
- Update to version 1.2.6.2 which includes the bulk fix
* Fri May 26 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jul 28 2005 werner@suse.de
- Close db file on emergency exit
* Fri Jul  1 2005 werner@suse.de
- Remove -m486
* Fri Jul  1 2005 werner@suse.de
- Remove -fsigned-char (bug #93887)
* Thu Aug 19 2004 werner@suse.de
- Do not reply on SPAM mails detected by Spamassassin.
* Wed Jul 28 2004 werner@suse.de
- Add some more comments in usage() and fix hint on new option -F
* Tue Jun 22 2004 werner@suse.de
- Add warning message and force option for HOME dir via NFS, this
  because there is no portable _and_ backward compatible db lib
  available (bug #41837).
* Fri Jun 11 2004 werner@suse.de
- Try to fix bug #41837 aka portable ~/.vacation.db
* Mon Jul 28 2003 werner@suse.de
- Add Precedence bulk to replay header (bug #27759)
* Mon Jun 30 2003 werner@suse.de
- Update to vacation 1.2.6.1
* Fri May 23 2003 coolo@suse.de
- use BuildRoot
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Mon Apr 22 2002 draht@suse.de
- added -f option to vacation, which now supports not only the
  default message file, but also the one specified on the
  commandline. Manpage changes are also complete.
* Wed Feb 28 2001 werner@suse.de
- Add -f to rm to avoid missing man page on ppc
* Wed Feb 28 2001 werner@suse.de
- Fix compile error on none ia32, ppc, and axp
* Wed Feb 28 2001 werner@suse.de
- Update to 1.2.5 (mostly SuSE patches!)
- Intergrate eating patch to avoid SIGPIPE to the MTA
* Thu Nov 23 2000 werner@suse.de
- Eat stdin at exit to avoid SIGPIPE to the MTA
* Fri Jul 14 2000 werner@suse.de
- Security: avoid sendmail options within from address
* Wed Jun  7 2000 ro@suse.de
- doc relocation
* Mon Mar  6 2000 werner@suse.de
- Rename included aliases.5 to forward.5 because this page
  explains more than the those of sendmail or postfix and
  it avoids an .so request of a maybe missed aliases.5.
* Fri Mar  3 2000 werner@suse.de
- /usr/man -> /usr/share/man
* Tue Jan 11 2000 werner@suse.de
- New version 1.2.1
  * with bug fix (no string case compare for mail addresses)
  - Fix CFLAGS so it will work on PPC
* Sun Jan  2 2000 kukuk@suse.de
-  Fix CFLAGS so it will work on every architecture
* Wed Dec 22 1999 werner@suse.de
- new version 1.2.0
  - install vaclook
  - create and install vaclook.man
* Sat Nov 27 1999 kukuk@suse.de
- Use RPM_OPT_FLAGS
* Mon Nov  1 1999 kukuk@suse.de
- Replace vfork() with fork()
* Tue Sep 21 1999 uli@suse.de
- fixed Makefile for PPC
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Feb  2 1999 ro@suse.de
- no m486 on alpha
* Fri Oct 30 1998 werner@suse.de
- man page:
  * change /usr/ucb/vacation to /usr/bin/vacation
  * remove empty line at begining
* Fri Jun  6 1997 bs@suse.de
- skipped man page aliases.5 (is in sendmail)
* Mon May 26 1997 werner@suse.de
- Fix in version 1.1.1 : now /usr/bin/vacation
  is compiled in static (security)
